<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.transfer.mapper.DmpDeviceStatusMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.transfer.domain.DmpDeviceStatus">
        <id column="id" property="id" />
        <result column="device_id" property="deviceId" />
        <result column="product_id" property="productId" />
        <result column="device_status" property="deviceStatus" />
        <result column="last_online_time" property="lastOnlineTime" />
        <result column="last_offline_time" property="lastOfflineTime" />
        <result column="product_code" property="productCode" />
    </resultMap>

</mapper>
